
function mudfish_adclean_6e1f7ff8ebc611487b1f019d16f0d96f() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`div[class*="Banner"] div[data-swiper-slide-index].swiper-slide:has(a[href^="/banners/"]):remove()`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_6e1f7ff8ebc611487b1f019d16f0d96f();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_6e1f7ff8ebc611487b1f019d16f0d96f();
  });
}
